2022-10-02 06:05 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002967BCKid[WHDLoad Installs Games] slavepublic2017-02-19 20:48
ReporterRetro-Nerd 
Assigned ToJOTDProject InfoB.C.Kid (Factor 5)
http://www.whdload.de/games/BCKid.html
 
PrioritynormalSeveritymajorReproducibilityrandom
StatusclosedResolutionunable to reproduce 
Summary0002967: B.C. Kid - Still hardware crashes with a black screen.
DescriptionAfter that 17.1 beta from January 2012 B.C. Kid isn't working properly again. Full hardware crash with a black sceen and a high pitched sound peep. Could happen any time in the Hudson Soft intro (freezed screen), in the options or ingame (black screen, only a reset helps). Any chances for a final fix?

@Wepl: You said back then that you can't find the reason for the hardware crashes. Any thoughts from other WHDLoad patchers? There must be a reason why it still happens. I've tried the latest 18.0 beta too.
TagsNo tags attached.
MachineA1200
CPU68EC030
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.0beta
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0003754

Retro-Nerd (reporter)

Wrote something on EAB too. Galahad said it could be the auto fake NTSC mode.

http://eab.abime.net/showpost.php?p=940340&postcount=12

note ~0003756

Wepl (manager)

You are using the latest slave?

note ~0003757

Retro-Nerd (reporter)

Yes, of course.

note ~0003758

Wepl (manager)

If there is a difference between WHDLoad 17.0 and 17.1 it could be something with the interrupts because the handling was changed a bit.
Can you check if setting NoVBRMove makes a difference?

note ~0003759

Retro-Nerd (reporter)

I tried the following WHDLoad version with NoVBRMove

17.0
17.1 beta (51.46) (that worked once till the end without NoVBRMove)
17.2
18.0 (current beta)


and the game freezes always at the Hudson Soft Logo/Bee animation.

note ~0003760

Wepl (manager)

ATM I can't reproduce it on my 68060.
Your system specs are correct, no MMU?

note ~0003761

Retro-Nerd (reporter)

Last edited: 2014-03-07 23:16

View 2 revisions

ACA 1230, which has no MMU. This is indeed the only WHDLoad game which causes that kind of trouble. Other issues were fixed with your timing updates in 17.1.

edit: Ok, x-file again. I could complete v1.2 again today with the current 18.0 beta. I didn't change anything, though NoCache is necessary to avoid the freeze in the Hudson Soft Logo.

With "NoCache" set it always crashes instantly with a black screen in the options menu, just when you use the stick/pad to select something. But as i said, after many reboots it magically worked today. Very strange! :-(

Though something is wrong in the options menu. Some garbled white flashes and some options text appears in a wrong position through a flicker. Hard to describe.

note ~0003764

Retro-Nerd (reporter)

OK, it seems an issue with the ACA 1230 only with this particular game. With my M-Tec 1230 it boots always into level 1. No garbled options menu neither. You can close it.

note ~0003766

Wepl (manager)

It could be a problem related to audio interrupts which happens only on specific timings.
Please try attached Slave.
I fixed some smc and interrupt acknowledge in the tfmx player.

note ~0003768

Retro-Nerd (reporter)

Last edited: 2014-03-10 00:01

View 2 revisions

Finally it boots always into level 1 with the ACA! No more garbled options menu. Many thanks for the fix, Wepl. I will complete it once again, only to be sure. :-)))

Edit: Cheered too soon. The game crashed with a black screen at the end boss, after his tranformation. Damn it! :-(

note ~0003769

Wepl (manager)

It is a full crash so you can't make a dump?
Could you check the 1.2 slave using option ChkInts if WHDLoad reports a problem before the usual crash?

note ~0003770

Retro-Nerd (reporter)

Last edited: 2014-03-11 23:23

View 3 revisions

It's always a full hardware crash with a black screen. Just tried the 1.2 slave and it crashed in level 2 at the end boss. ChkInts didn't report anything before the usual crash.

edit: Actually it's pure luck if the game starts. Also the Hudson Soft logo freeze isn't completely fixed in slave 1.3 as i thought. A crash in the options menu can happen too. So, maybe really an unfixable turbo card vs. WHDLoad/Slave imcompatiblity.

note ~0003775

Wepl (manager)

I have no idea then and will release the current slave as it contains still some improvements. Maybe the problems can be fixed any time later.
This is the only game with these problems?

note ~0003776

Retro-Nerd (reporter)

Last edited: 2014-03-14 21:13

View 2 revisions

Yes, the only game that crashes the hardware comletely. Only minor problems with some older slave now and then.

note ~0003779

Wepl (manager)

does the freeze also happen during the Hudson Soft logo or only at the end when Factor5 logo starts?

note ~0003780

Retro-Nerd (reporter)

It freezes sometimes instantly when "Hudson Soft" is shown, and sometimes during the bee animation. If it pass the Hudson Soft logo it always boots without further freezes into the title screen. So, no problems with Factor5 logo. Do you think this is somehow related to the black screen hardware crashes in the options and ingame?

note ~0003781

Wepl (manager)

Last edited: 2014-03-15 16:58

View 2 revisions

I thought it could be something with the blitpri, but it is first enabled at start of the factor5 logo.
There is not much code for the hudson logo. I will check it maybe I see something unusual...

note ~0003782

Wepl (manager)

maybe some of the blitwaits are not sufficient under your config, attached a new slave you may try

note ~0003783

Retro-Nerd (reporter)

Last edited: 2014-03-15 20:48

View 5 revisions

Doesn't fix anything. Actually it freezes now always as soon as the Hudson Soft Logo is visible.

Edit: after many reboots it worked into the title screen, but then the usual black screen crash in the options.

Edit2: Could it also be an Kickstart problem? I removed the ACA and booted without s-s a few times. Looks good so far with slave 1.2. I use the ACA to load a kickstart 3.1 via maprom. Somehow the card doesn't work properly with my my internal Kickstart 3.0.

Edit3: No, seems no Kickstart issue. When i reset the machine after a crash there is sometimes a cyan and/or violet screen.

Edit4: Just completed the game without any turbocard with slave 1.2. No problems at all. So, an interrupt or maybe too agressive fastram timing issue. Anyway, i appreciate that you really tried to make this ACA 1230 compatible.

note ~0003784

Wepl (manager)

That means the latest slave works worser than the previous one?
For comparision I have attached the older slave_nobw which doesn't contain the blitwait patches.

During the Hudson logo no interrupts are running. So I assume it can only be something with the custom chips and cpu, e.g. blitter. But for now I have no idea what the problem can be.

The kickstart should not make any difference because it is not used when the game runs. The only difference which could be is a different init of cia/custom because some of these or not init directly by WHDLoad itself.

Did you check if option Cache does make any difference (more or less freezes)?

I like to stop searching then. Maybe it's somehow a hardware problem. I tested with my aca1231 and also cannot reproduce the problem there. But strange is that no other games should have a problem.

note ~0003785

Retro-Nerd (reporter)

Last edited: 2014-03-16 17:15

View 2 revisions

No differences with the slave_nowb. Cache also doesn't fix something. The stack isn't the problem either, right? I mean you moved it to fastram in slave 1.2, but the game worked fine yesterday with 2 MB chipram only. But right, please end the search then. You could do better things then. ;-)

Edit: Tried slave 1.1. Seems to works muuch better. At least no freezes at the logos and no option crashes. Will play it again.

note ~0005436

Retro-Nerd (reporter)

You can close the report now. I've plugged my MTEC 1230 and it seems fine, no more freezes/crashes. Also enabled the MMU. Guess the ACA 1230 wasn't that stable.

note ~0005465

JOTD (developer)

hardware error
+Notes

-Issue History
Date Modified Username Field Change
2014-02-26 21:46 Retro-Nerd New Issue
2014-02-26 22:03 Retro-Nerd Note Added: 0003754
2014-03-06 23:18 Wepl Note Added: 0003756
2014-03-06 23:20 Retro-Nerd Note Added: 0003757
2014-03-06 23:27 Wepl Note Added: 0003758
2014-03-06 23:46 Retro-Nerd Note Added: 0003759
2014-03-07 18:55 Wepl Note Added: 0003760
2014-03-07 19:00 Retro-Nerd Note Added: 0003761
2014-03-07 23:16 Retro-Nerd Note Edited: 0003761 View Revisions
2014-03-08 21:04 Retro-Nerd Note Added: 0003764
2014-03-09 22:41 Wepl File Added: BCKid.Slave
2014-03-09 22:42 Wepl Note Added: 0003766
2014-03-09 22:57 Retro-Nerd Note Added: 0003768
2014-03-10 00:01 Retro-Nerd Note Edited: 0003768 View Revisions
2014-03-11 21:42 Wepl Note Added: 0003769
2014-03-11 22:32 Retro-Nerd Note Added: 0003770
2014-03-11 22:32 Retro-Nerd Note Edited: 0003770 View Revisions
2014-03-11 23:23 Retro-Nerd Note Edited: 0003770 View Revisions
2014-03-14 20:56 Wepl Note Added: 0003775
2014-03-14 21:12 Retro-Nerd Note Added: 0003776
2014-03-14 21:13 Retro-Nerd Note Edited: 0003776 View Revisions
2014-03-15 15:49 Wepl Note Added: 0003779
2014-03-15 16:35 Retro-Nerd Note Added: 0003780
2014-03-15 16:58 Wepl Note Added: 0003781
2014-03-15 16:58 Wepl Note Edited: 0003781 View Revisions
2014-03-15 18:07 Wepl File Deleted: BCKid.Slave
2014-03-15 18:08 Wepl File Added: BCKid.Slave
2014-03-15 18:09 Wepl Note Added: 0003782
2014-03-15 18:22 Retro-Nerd Note Added: 0003783
2014-03-15 18:29 Retro-Nerd Note Edited: 0003783 View Revisions
2014-03-15 18:38 Retro-Nerd Note Edited: 0003783 View Revisions
2014-03-15 19:09 Retro-Nerd Note Edited: 0003783 View Revisions
2014-03-15 20:48 Retro-Nerd Note Edited: 0003783 View Revisions
2014-03-16 13:13 Wepl File Added: BCKid.Slave_nobw
2014-03-16 13:25 Wepl Note Added: 0003784
2014-03-16 17:06 Retro-Nerd Note Added: 0003785
2014-03-16 17:15 Retro-Nerd Note Edited: 0003785 View Revisions
2017-01-19 13:54 Retro-Nerd Note Added: 0005436
2017-02-19 20:48 JOTD Assigned To => JOTD
2017-02-19 20:48 JOTD Status new => closed
2017-02-19 20:48 JOTD Resolution open => unable to reproduce
2017-02-19 20:48 JOTD Note Added: 0005465
+Issue History